Attribute VB_Name = "Module2"
' This file is used for compatibility with VB projects which use
' MetaDraw VBX.

'[MetaDraw Type declaration]
' Declaration of the types used in functions associated with METADRAW.VBX

Type VB_RECT
  Left As Integer
  Top As Integer
  Right As Integer
  Bottom As Integer
End Type

Type VB_POINT
  x As Integer
  y As Integer
End Type

'[MetaDraw API function]
' Declaration of the functions associated with METADRAW.VBX

Sub MD_GetBounds(MDraw As MetaDRAW, rcBounds As VB_RECT, ByVal crdType As Integer)
  MDraw.GetBounds rcBounds.Left, rcBounds.Top, rcBounds.Right, rcBounds.Bottom, crdType
End Sub

Sub MD_GetParams(MDraw As MetaDRAW, ByVal FstPar As Integer, NumPar As Integer, Params As VB_POINT, ByVal crdType As Integer)
    MDraw.GetParams FstPar, NumPar, Params.x, crdType
End Sub

Sub MD_LoadPicture(MDraw As MetaDRAW, ByVal FileName As String, ByVal picDst As Integer, ByVal picType As Integer)
    MDraw.LoadPicture FileName, picDst, picType
End Sub

Sub MD_MoveObjects(MDraw As MetaDRAW, ofsX As Integer, ofsY As Integer, ByVal crdType As Integer)
    MDraw.MoveObjects ofsX, ofsY, crdType
End Sub

Sub MD_ObjectHitTest(MDraw As MetaDRAW, ByVal posX As Integer, ByVal posY As Integer, ByVal crdType As Integer)
    MDraw.ObjectHitTest posX, posY, crdType
End Sub

Sub MD_SavePicture(MDraw As MetaDRAW, ByVal FileName As String, ByVal picSrc As Integer)
    MDraw.SavePicture FileName, picSrc
End Sub

Sub MD_SetParams(MDraw As MetaDRAW, ByVal FstPar As Integer, ByVal NumPar As Integer, Params As VB_POINT, ByVal crdType As Integer)
    MDraw.SetParams FstPar, NumPar, Params.x, crdType
End Sub

Sub MD_SetBounds(MDraw As MetaDRAW, rcBounds As VB_RECT, ByVal crdType As Integer)
    MDraw.SetBounds rcBounds.Left, rcBounds.Top, rcBounds.Right, rcBounds.Bottom, crdType
End Sub

Sub MD_FindObjectTag(MDraw As MetaDRAW, ByVal TagStr As String, ByVal findType As Integer)
    MDraw.FindObjectTag(TagStr, findType)
End Sub
